[PATCH] Preclean fails attempting to Unmerge distcc when already depcleaned

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[PATCH] Preclean fails attempting to Unmerge distcc when already depcleaned

M. J. Everitt
Better version than previous, suggested by Chewi - thanks!
---
 targets/stage3/stage3-preclean-chroot.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/targets/stage3/stage3-preclean-chroot.sh
b/targets/stage3/stage3-preclean-chroot.sh
index 027dedea..33a700a6 100755
--- a/targets/stage3/stage3-preclean-chroot.sh
+++ b/targets/stage3/stage3-preclean-chroot.sh
@@ -11,7 +11,10 @@ cleanup_stages
  if [ -n "${clst_DISTCC}" ]
 then
- run_merge -C sys-devel/distcc || exit 1
+ portageq has_version / sys-devel/distcc
+ if [ $? == 0 ]; then
+ run_merge -C sys-devel/distcc || exit 1
+ fi
 fi
  if [ -n "${clst_ICECREAM}" ]
--
2.13.0



signature.asc (836 bytes) Download Attachment